seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/08/07, 11:40:30


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Ausweisapp mit ReinerSCT cyberjack komfort (i386)  (Read 5183 times)

0 Members and 1 Guest are viewing this topic.

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« on: 2012/09/07, 17:48:01 »
Hallo,

ich versuche gerade das AusweisApp
zu installieren, und probiers mit dem Paket für Debian 5&6.

Leider gibts das nur für i686, was dpkg -wohl korrekt- als i386 interpretiert.

Dabei ist zu bemerken das dpkg -i --simulate nicht wirklich aussagekräftig ist, da es nur das Entpacken simuliert, nicht die anschließende Konfiguration...

jedenfalls:
Code: [Select]
dpkg --print-foreign-architectures                                                i386  
               
Quote
dpkg -i Auswe*                                                                  
Vormals nicht ausgewähltes Paket ausweisapp wird gewählt.                                                                
(Lese Datenbank ... 184014 Dateien und Verzeichnisse sind derzeit installiert.)                                          
Entpacken von ausweisapp (aus AusweisApp_010800_i686.deb) ...                                                            
Vormals nicht ausgewähltes Paket integritytool wird gewählt.                                                              
Entpacken von integritytool (aus AusweisApp_IntegrityTool_010800_i686.deb) ...                                            
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von ausweisapp:                                                      
 ausweisapp hängt ab von evince.                                                                                          
 ausweisapp hängt ab von firefox | iceweasel.                                                                            
 ausweisapp hängt ab von pcscd-ccid-ol-bundle | pcscd.                                                                    

dpkg: Fehler beim Bearbeiten von ausweisapp (--install):                                                                  
 Abhängigkeitsprobleme - verbleibt unkonfiguriert ....                                                                        
                     

Code: [Select]
apt-get install evince:i386                                                                
Paketlisten werden gelesen... Fertig                                                                                      
Abhängigkeitsbaum wird aufgebaut.                                                                                        
Statusinformationen werden eingelesen.... Fertig                                                                          
Paket evince:i386 ist nicht verfügbar, wird aber von einem anderen Paket                                                  
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst                                                    
wurde oder nur aus einer anderen Quelle verfügbar ist.                                                                    

E: Für Paket »evince:i386« existiert kein Installationskandidat.
Gleiche Meldung gibts für iceweasel:i386 und pcscd:i386

Mach ich irgendwas falsch oder sind die 3 Pakete einfach noch nicht für multiarch bereit und ich muß mir ein 686-Testsystem aufsetzen wenn ich mit den neuen Ausweisfunktionen spielen will?

Gruß
ayla
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ralul

  • User
  • Posts: 1.809
Ausweisapp/Multiarch
« Reply #1 on: 2012/09/07, 18:31:35 »
Multiarch ist doch erst für das kommende wheezy. Wie kommst Du auf die Idee das ginge mit Debian stable?

Wahrscheinlich dependiert die Debian stable Ausweisapp auf evince und iceweasel Versionen, die es unter Debian sid nicht mehr gibt ...
experiencing siduction runs better than my gentoo makes me know I know nothing

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #2 on: 2012/09/07, 18:39:12 »
Ja, ok, das es da noch Probleme geben könnte war mir schon klar.

Aber daß schon mit den aktuellen Versionen kein installieren mit multiarch möglich ist -wenn ich das denn richtig versucht hatte- hätte ich nicht erwartet.
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline Geier0815

  • User
  • Posts: 492
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #3 on: 2012/09/07, 21:38:34 »
Ich würde jetzt erst einmal vermuten das evince noch nicht multiarch-fähig ist. Wenn Du mal ins changelog bei debian guckst, steht da nicht eine Silbe zu multiarch. Bei wine ist das definitiv anders...
Wenn Windows die Lösung ist...
kann ich dann bitte das Problem zurück haben?

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #4 on: 2012/09/07, 23:22:47 »
Ja, ist wohl so.

Ich habe inzwischen ein i386 installiert und bis eben probiert da was hin zu bekommen.

Die debs aus dem ubuntu-Paket für das Ausweisapp lassen sich unter siduction installieren und die Oberfläche funktioniert auch.

Wo's hakt ist die Verbindung zum Kartenleser her zu stellen. Der will nicht erkannt werden, weder mit dem Treiber für debian noch mit dem für Ubuntu...

Bleibt wohl nur ein Debian stable zu installieren, falls ich das Teil nicht unter WINXP nutzen will -und das will ich definitiv nicht.

Danke für euer Interesse

Gruß
ayla

EDIT: Meine Güte, Debian stable bietet bei der netinstall CD immer noch keine Möglichkeit ein WLAN mit wpa zu konfigurieren?
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ralul

  • User
  • Posts: 1.809
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #5 on: 2012/09/08, 13:39:32 »
Die AusweisApp ist für deutsche Anwender doch fast ein ReleaseCritical Bug, und ich schätze insbesondere auch für einige Hauptsponsoren des bevorstehenden Release (Universitäten):
@Ayla, warum also nicht einmal einen Debian Bug versuchen?
experiencing siduction runs better than my gentoo makes me know I know nothing

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #6 on: 2012/09/08, 14:31:59 »
Quote from: "ralul"
Die AusweisApp ist für deutsche Anwender doch fast ein ReleaseCritical Bug, und ich schätze insbesondere auch für einige Hauptsponsoren des bevorstehenden Release (Universitäten):


Die apps sind schon deshalb bugs weil sie nicht im quellcode vorliegen, also nur dort installiert werden können wo das BSI denkt das es dafür was zur Verfügung stellen könnte/sollte/wollte/oder auch nicht... Das gleiche gilt für den Treiber von Reinersct.

Der ganze Ausweis könnte sich auch noch als bug rausstellen, aber ich hab jetzt so ein Ding und möchte mal schauen was geht.
Elster, wie vor ein paar Monaten festgestellt schon mal nicht...
Quote from: "ralul"

@Ayla, warum also nicht einmal einen Debian Bug versuchen?

Was sollten die Debianer hierbei mit einem Bugreport?

Aber im Moment schlabe ich mich mit einem ganz anderen Bug herum und der heisst "gnome" in Debian stable. Ein beherztes apt-get install kde hat zwar einige Probleme beseitigt aber dafür hab ich als user jetzt nur noch eine Art openbox oder sowas... grr
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ralul

  • User
  • Posts: 1.809
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #7 on: 2012/09/08, 15:20:07 »
@Ayla, Tschuldignug, ich wusste nichts über den proprietären Hintergrund der AusweisApp. Wäre dann ja wohl ein Bug für die Bsi Site ...
experiencing siduction runs better than my gentoo makes me know I know nothing

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #8 on: 2012/09/08, 15:40:39 »
Kein Grund für Entschuldigungen, bin für jede Unterstützung dankbar.

Aber ich denke auch ein Bugreport ans BSI wäre ziemlich sinnlos.
Die werden es nie auf die Reihe kriegen eine App zur Verfügung zu stellen die mit dem Tempo von sid mithält. Bis die erst mal anfangen darüber nach zu denken ist sid schon mindestens 13 Versionen weiter :)


So wenigstens hab ich jetzt mal auch als user kde auch wenn die Panels sich noch wie gnome anstellen?? aber was solls.
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #9 on: 2012/09/08, 18:05:49 »
So, das funktioniert ja tatsächlich. Was lange währt...

Ich hab mal testweise einen de-mail account bei fp-demail damit erstellt. Ging ja dann recht einfach und ohne Wartezeiten und rum gerenne. Bei heise-online gabs da gestern einen Bericht, das hatte mich dann doch wieder neugierig gemacht.

Allerdings weiß ich jetzt auch wieder was ich bei siduction für Vorteile habe. Allein der 2-Minuten-Installer isses schon wert, von ceni und der hardware-Unterstützung mal gar nicht zu reden. Bin ja mal gespannt ob beim neuen stable bei der netinstall-CD diesmal die Möglichkeit in Betracht gezogen wird daß ein user keine Netzwerkverbindung außer WPA2-Wlan zur Verfügung hat. Oder ob man sogar an UMTS denkt??

Ein Glück das stable so einen langen Release Zyklus hat, alle 3 Monate wollte ich mir das nicht antun, aber jetzt bleibt das drauf, für solche Fälle und als Rettungssystem. Nicht das das häufiger gebraucht würde :)

Gruß
ayla
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #10 on: 2012/09/09, 11:23:12 »
hmmm...

Ich hab mir jetzt mal auf dem stable den Kernel 3.2.0-0.bpo.3-686-pae aus den backports installiert.

Eigentlich hatte ich erwartet das der Kartenleser dann wie unter siduction streikt, da ich vermutete das die von ReinerSCT zur Verfügung gestellte "libifd-cyberjack..." (oder auch das AusweisApp) nur mit Kernel 2.6.x funktioniert.

Da das aber nicht der Fall ist frag ich mich jetzt wo es sonst hängen könnte und wie ich das herausfinden kann.

Ich kann doch den Kernel aus den stable-backports auch bei siduction installieren? Und ebenso auch versuchen die Abhängikeiten der libifd... und der Ausweisapp -wenns sein muß- downzugraden, Stück für Stück?
Natürlich auf einem Testsystem :)

Oder hat jemand eine andere Idee dazu?
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #11 on: 2012/09/09, 14:38:47 »
Ok.

Es funktioniert mit dem "ReinerSCT cyberjack Komfort" auch unter siduction und Kernel 3.5-3.towo-siduction-686. Schade dass die immer noch bei 386er-Systemen hängen geblieben sind, aber wenn nach dem freeze multiarch kommt...

Der backport-Kernel ist nicht notwendig.
Allerdings müssen pcscd und libpcsclite1 aus squeeze installiert werden, welche hal ins System holen.
Ich weiß nicht ob das ein Haken ist, nur daß hal seit einiger Zeit nicht mehr benutzt wird.
 
Das Paket libpcsclite1 muss vorher deinstalliert werden.
In der Folge werden auch ceni und der wpasupplicant deinstalliert, wenn es also jemand nachvollziehen will und sollte auf ein WPA-Netzwerk angewiesen sein, sollte er sich diese aus unstable holen und speichern, sie lassen sich danach wieder problemlos installieren.

Also folgendes Vorgehen:

Squeeze Repo in der /etc/apt/sources.list.d/debian.list aktivieren
Quote
deb http://ftp.de.debian.org/debian/ squeeze main

Code: [Select]
apt-get update
apt-get purge libpcsclite1

Quote
Die folgenden Pakete werden ENTFERNT:                                                     ceni wpagui wpasupplicant
 
Code: [Select]
apt-get install -t squeeze pcscd libpcsclite1

Quote
Die folgenden zusätzlichen Pakete werden installiert:                                                 hal hal-info libhal-storage1 libhal1  


Code: [Select]
apt-get install evince
dpkg -i ceni wpasupplicant
dpkg -i libifd-cyberjack6_3.99.5final.SP03_i386_d601a.deb
dpkg -i AusweisApp_010800_i686.deb
dpkg -i AusweisApp_IntegrityTool_010800_i686.deb
echo pcscd hold | dpkg --set-selections
echo libpcsclite1 hold | dpkg --set-selections
reboot

AusweissApp starten.
Danach funktioniert die Verbindung zum Kartenleser und der Benutzung im Internet mit dem iceweasel steht -außer Sicherheitsbedenken- nichts mehr im Weg.

Den Ausweisapp bekommt ihr hier und die cyberjack-lib hier. Beide für Debian 6.

Gruß
ayla

Ob das ein Beitrag fürs wiki wäre müsste mir jemand sagen der sich in der Materie um hal besser auskennt.

Edit: Habs auch mit 'nem chroot aus einer 64-bit in eine 32-bit Umgebung nach wiki versucht, aber dat klappt nicht, die Verbindung zum reader kommt nicht zustande.
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline ayla

  • User
  • Posts: 1.706
Ausweisapp mit ReinerSCT cyberjack komfort (i386)
« Reply #12 on: 2012/09/18, 19:22:43 »
Da scheint sich ja doch endlich was in Richtung open source zu tun:

http://www.heise.de/newsticker/meldung/Bundesdruckerei-veroeffentlicht-freies-Personalausweis-API-1709725.html


Kurzes update vom 22.03.2013:

Für mich verblüffenderweise funktioniert das 2 Posts vorher beschriebenen Vorgehen so auch mit Kernel 3.8-4.towo-siduction-686 und der Version 1.09 des Ausweisapp noch.
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205